/* (C) Copyright 1986 Nicholas Christopher. 
 *
 *				lno.h
 * This .h file accompanies my code, order.c, to produce graphics on sixel 
 * systems. If any modification are made to this code, while I am still 
 * employed by the Columbia University Center for Computing Activities, 
 * please notify me.
 *
 */

#include <stdio.h>
#define MAXVERT 243       /* verticle axis (1455) div sixels (6)   */
#define Xaxis 1185        /* horizontal pixel resolution           */
#define Yaxis 1455        /* vertical pixzel resolution            */
#define Xdec 5665         /* horizantal decipoint resolution       */
#define Ydec 7235         /* vertical decipoint resolution         */
#define abs(x) ((x>=0) ? (x) :-(x))   /* absolut value             */
#define newcount() (count = 1)        /* reset pattern count       */
int cx     = 0;           /* memory value of x coordinate          */
int cy     = 0;           /* memory value of y coordinate          */
float xscale = 1.0;       /* x axis scaling factor                 */
float yscale = 1.0;       /* y axis scaling factor                 */
int xoffset = 0;
int yoffset = 0;
int mode   = 1;           /* flag of patern dot, solid, long, etc. */
int count  = 1;           /* pattern position count, dot or space? */

struct sixel {
  unsigned int pixels :6;         /* bit vector of the six pixels  */
  int horiz;                      /* horiz coord in sparse matrix  */
  struct sixel *next;
};

struct sixel *vert[MAXVERT];      /* vert spine of sparse matrix   */

